<?php

$system['title'] = 'Черный список BanBase.Ru';
require SYS . 'header.php';

if (isset($ID)) {
  $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($ank['id']) && isset($user)) {
  $ank = $user;
}

if($ank['wmid']==0 && $ank['email']==NULL && $ank['icq']==NULL && $ank['sites']==NULL && $ank['skype']==NULL){
    echo '<div class="profile"> Уданного пользователя не заполнены данные для поиска</div>';
    require SYS . '_system/end.php';
    exit;
}
/*

    function writeCacheBan($content, $filename) {
  $fp = fopen(ROOT.'/_images/cache/banbase/' . $filename, 'w');
  fwrite($fp, $content);
  fclose($fp);
}
      
      function readCacheBan($filename, $expiry) {
  if (file_exists(ROOT.'/_images/cache/banbase/' . $filename)) {
    if ((time() - $expiry) > filemtime('_images/cache/banbase/' . $filename))
      return FALSE;
    $cache = file(ROOT.'/_images/cache/banbase/' . $filename);
    return implode('', $cache);
  }
  return FALSE;
} 
 
  ob_start();
$name = md5($ank['id'].'ban');
if (!$main2_cache = readCacheBan($name.'.ban.cache', 86400)){
//Кэширование
 */


require FUNC . 'Banbase.php';



$ank['wmid']='196999986296';

$urlbanbase = 'http://banbase.ru/api/search/?wmid='.$ank['wmid'].'&icq='.$ank['icq'].'&email='.$ank['email'];
//Данные для проверки
$info['email'] = ''.$ank['email'].'';
$info['wmid'] = ''.$ank['wmid'].'';
$info['skype'] = ''.$ank['skype'].'';
$info['icq'] = ''.$ank['icq'].'';
$info['site'] = ''.$ank['sites'].'';
//$info['join'] = '1';

//Поиск записей в базе
//Поиск записей в базе
$result = Banbase::search_arr($info);



$ans = $result['answer'];


// Кеширование

/*
echo '<pre>';
print_r($ans);
echo '</pre>';
*/
//Вывод информации



?>
<?foreach($ans AS $var):?>
 <div class="profile">
 <p><center>Пользователь находится в черном списке на сайте: <a href='http://<?=$var['url'];?>'><?=$var['url'];?></a></center></p>
<?if(!empty($var['wmid'])):?><p><b>Wmid:</b> <?=implode(', ',$var['wmid']);?></p><?endif;?>
<?if(!empty($var['email'])):?><p><b>Email:</b> <?=implode(', ',$var['email']);?></p><?endif;?>
<?if(!empty($var['icq'])):?><p><b>ICQ:</b> <?=implode(', ',$var['icq']);?></p><?endif;?>
<?if(!empty($var['skype'])):?><p><b>Skype:</b> <?=implode(', ',$var['skype']);?></p><?endif;?>
<?if(!empty($var['sites'])):?><p><b>Site:</b> <?=implode(', ',$var['sites']);?></p><?endif;?>
<?if(!empty($var['name'])):?><p><b>Ники в сети:</b> <font color='red'><?=implode(', ',$var['name']);?></font></p><?endif;?>
<p><b>Причина: </b><?=$var['descr'];?></p>
<b>Добавил Админ:</b> <font color='blue'><b><?=$var['admin'];?></b></font>
</div>
<?endforeach;?>
<?
if(!$ans){
    ?>
    <div class="profile"><?
    echo 'Нет данного пользователя в базе';
    ?></div><?
}
/*
  $main2_cache = ob_get_contents();
    ob_clean();
$name = md5($ank['id'].'ban');
    writeCacheBan($main2_cache,$name.'.ban.cache');
} 

ob_end_clean();
echo $main2_cache; 
*/
/*
if(!$ans){
    ?>
    <div class="profile"><?
    echo 'Нет данного пользователя в базе';
    ?></div><?
}
*/

